# Use an official Node runtime as a parent image
FROM node:20

# Set the working directory in the container
WORKDIR /usr/src/app

# Copy the package.json and yarn.lock (or package-lock.json)
COPY package*.json ./
COPY yarn.lock ./

# Install any needed packages specified in package.json
RUN yarn install

# Bundle your app's source code inside the Docker container
COPY . .

# Your app binds to port 80 so you'll use the EXPOSE instruction to have it mapped by the docker daemon
EXPOSE 80

# Define the command to run your app using CMD which defines your runtime 
CMD ["yarn", "run", "--", "live-server", "--no-browser", "--port=80", "--ignore='*'", "--entry-file=spa.html", "--no-css-inject", "--proxy=/api:http://tibi-server:8080/api/v1/_/einfo_test", "frontend"]